classification
Title: Wrong test_extract_hardlink() in test_tarfile.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, jcea, michael.foord, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-12-08 18:02 by serhiy.storchaka, last changed 2012-12-30 18:24 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_tarfile_test_extract_hardlink.patch serhiy.storchaka, 2012-12-10 10:59 review
Messages (3)
msg177166 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-08 18:02
Test test_extract_hardlink() in Lib/test/test_tarfile.py ran 4 times. First time (uncompressed tarfile) it extract symbolic and hard links successfully, but in other 3 times (gzipped, bzipped and lzma'ed tarfile) extracting fails becouse this links already exists (left from first test). The test just ignore this error and other possible errors (error EEXIST raised, but ignored all except ENOENT).

Here is a patch, which adds a right cleanup of extracted links.
msg178592 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-12-30 17:33
LGTM.
msg178595 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-30 18:22
New changeset 503b889668fc by Serhiy Storchaka in branch '2.7':
Issue #16645: Fix hardlink extracting test for tarfile.
http://hg.python.org/cpython/rev/503b889668fc

New changeset d42bf4faf3d1 by Serhiy Storchaka in branch '3.2':
Issue #16645: Fix hardlink extracting test for tarfile.
http://hg.python.org/cpython/rev/d42bf4faf3d1

New changeset e1a0901e4ef7 by Serhiy Storchaka in branch '3.3':
Issue #16645: Fix hardlink extracting test for tarfile.
http://hg.python.org/cpython/rev/e1a0901e4ef7

New changeset f173c2e92b64 by Serhiy Storchaka in branch 'default':
Issue #16645: Fix hardlink extracting test for tarfile.
http://hg.python.org/cpython/rev/f173c2e92b64
History
Date User Action Args
2012-12-30 18:24:08serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2012-12-30 18:22:22python-devsetnosy: + python-dev
messages: + msg178595
2012-12-30 17:41:47serhiy.storchakasetmessages: - msg178416
2012-12-30 17:33:24ezio.melottisetmessages: + msg178592
2012-12-28 19:46:09serhiy.storchakasetmessages: + msg178416
2012-12-27 21:54:01serhiy.storchakasetassignee: serhiy.storchaka
2012-12-15 22:01:23serhiy.storchakalinkissue16648 dependencies
2012-12-10 12:28:13jceasetnosy: + jcea
2012-12-10 10:59:42serhiy.storchakasetfiles: + test_tarfile_test_extract_hardlink.patch
2012-12-10 10:58:31serhiy.storchakasetfiles: - test_tarfile_test_extract_hardlink.patch
2012-12-08 18:02:08serhiy.storchakacreate